Name:             python-ceilometerclient
Version:          1.0.9
Release:          2%{?dist}
Summary:          Python API and CLI for OpenStack Ceilometer

Group:            Development/Languages
License:          ASL 2.0
URL:              https://github.com/openstack/%{name}
Source0:          https://pypi.python.org/packages/source/p/%{name}/%{name}-%{version}.tar.gz

BuildArch:        noarch
BuildRequires:    python-setuptools
BuildRequires:    python2-devel
BuildRequires:    python-pbr
BuildRequires:    python-d2to1

Requires:         python-setuptools
Requires:         python-argparse
Requires:         python-prettytable
Requires:         python-iso8601
Requires:         python-keystoneclient
Requires:         python-six >= 1.4.1

#
# patches_base=1.0.9+1
#
Patch0001: 0001-Remove-runtime-dependency-on-python-pbr.patch

%description
This is a client library for Ceilometer built on the Ceilometer API. It
provides a Python API (the ceilometerclient module) and a command-line tool
(ceilometer).


%package doc
Summary:          Documentation for OpenStack Ceilometer API Client
Group:            Documentation

BuildRequires:    python-sphinx10

%description      doc
This is a client library for Ceilometer built on the Ceilometer API. It
provides a Python API (the ceilometerclient module) and a command-line tool
(ceilometer).

This package contains auto-generated documentation.


%prep
%setup -q

%patch0001 -p1

sed -i s/REDHATCEILOMETERCLIENTVERSION/%{version}/ ceilometerclient/__init__.py


%build
%{__python} setup.py build

%install
%{__python} setup.py install -O1 --skip-build --root %{buildroot}

export PYTHONPATH="$( pwd ):$PYTHONPATH"
sphinx-1.0-build -b html doc/source html

# Fix hidden-file-or-dir warnings
rm -rf html/.doctrees html/.buildinfo

%files
%doc README.rst
%doc LICENSE
%{_bindir}/ceilometer
%{python_sitelib}/ceilometerclient
%{python_sitelib}/*.egg-info

%files doc
%doc html

%changelog
* Mon Feb 17 2014 Alan Pevec <apevec@redhat.com> 1.0.9-1
- Update to upstream 1.0.9

* Wed Dec 04 2013 Jakub Ruzicka <jruzicka@redhat.com> 1.0.8-1
- Update to upstream 1.0.8

* Fri Nov 29 2013 Jakub Ruzicka <jruzicka@redhat.com> 1.0.7-1
- Update to upstream 1.0.7
- New dependency: python-six

* Mon Oct 14 2013 Jakub Ruzicka <jruzicka@redhat.com> 1.0.6-1
- Update to upstream 1.0.6.
- New build requires: python-d2to1, python-pbr
- Remove new runtime dependency on python-pbr
- README extension changed
- Make requires generic instead of requiring specific versions.

* Thu Jun 13 2013 Jakub Ruzicka <jruzicka@redhat.com> 1.0.0-2
- Change the default API version used by the cli to v2. (rhbz#974043)

* Mon Apr 01 2013 Jakub Ruzicka <jruzicka@redhat.com> 1.0.0-1
- Initial package.
